function state = getDIO(channel)
% @Description: Phidget 888 digital input function
%
% @Version: 1.0
% @Author: Joe Romano
% @Date: 2-6-09
%
% @Version: 2.0
% @Author: Jonathan Fiene
% @Date: 9-12-2010

% input: 
%   channel - the channel # to set (0-7)
% output:
%   state - the state of the pin on selected channel (0 [0v] or 1 [5v])


if(channel<0 || channel>7)
    fprintf(2,'The channel must be between 0 and 7\n');
else
    global IKhandle;
    if IKhandle > 0
        dataptr = libpointer('int32Ptr',0);
        calllib('phidget21', 'CPhidgetInterfaceKit_getInputState', IKhandle, channel, dataptr);
        state = double((-1*get(dataptr, 'Value'))+1);
    else
        fprintf(2,'You must call startIK first\n');
    end
end