% @Description: Phidget 888 initialization function
% 
% Modified from the Phidgets Matlab guide
%
% %Version: 1.0
% @Author: Joe Romano
% @Date: 2-6-09
%
% @Version: 2.0
% @Author: Jonathan Fiene
% @Date: 9-12-10

% load the phidget library functions into memory

warning off all;

if exist('IKhandle','var')
    disp('Nothing done - Phidget IK888 already started')
else
    global IKhandle;
    if ~libisloaded('phidget21')
        loadlibrary phidget21 phidget21Matlab.h;
    end
    ptr = libpointer('int32Ptr',0);
    calllib('phidget21', 'CPhidgetInterfaceKit_create', ptr);
    IKhandle = get(ptr, 'Value');

    % try to connect to our interfaceKit
    calllib('phidget21', 'CPhidget_open', IKhandle, -1);
    if calllib('phidget21', 'CPhidget_waitForAttachment', IKhandle, 2500) == 0
        disp('Phidget IK888 start: SUCCESS')
    else
        calllib('phidget21', 'CPhidget_close', IKhandle);
        calllib('phidget21', 'CPhidget_delete', IKhandle);

        unloadlibrary phidget21;
        clear IKhandle ptr;
        
        fprintf(2,'Phidget IK888 start: FAIL!\nTruly sorry about that.\nPerhaps you should check your cables.\n')
    end
end

warning on all;